<template>
    <div class="col-12">
        <h2>Gestion des Resources</h2>
        <br>
        <div class="clearfix"></div>
        <ResourcesList v-bind:resources="resources" :canFacture="true" v-on:facture="facture"></ResourcesList>
    </div>
</template>

<script>
import ResourcesList from '@/components/shared/Resources.List.vue';
export default {
    components: {
        ResourcesList
    },
    computed: {
        resources() {
            let resources = new Array();
            this.$store.getters.getAllResources.forEach(function(r) {
                if(!r.provider){
                    resources.push(r);
                }
            });

            return resources;
        }
    },
    created() {
        this.$store.dispatch('setAllProjects');
    },
    methods: {
        facture(payload) {
            this.$router.push({ path: ""+ payload.pId + "/"+payload.index, append: "true" });
        }
    }
}
</script>

<style scoped>
.but {
    margin-bottom: 50px;
    margin-right: 4px;
    margin-left: 4px;
}
</style>
